
.designer-result-box {
    position: relative;
}

.designer-result-box .designer-box-button,
.designer-result-box .designer-divider {
    display: inline-block;
}

.designer-hover-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    z-index: 0;
}

.designer-result-box .designer-box-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.designer-result-box .designer-box-button .icon {
    display: flex;
    align-items: center;
    justify-content: center;
}

.designer-result-box .rte-content {
    position: relative;
    z-index: 1;
}

.designer-hover-button-show .designer-box-button {
    opacity: 0;
    visibility: hidden;
    transition: opacity .35s ease-in-out;
}

.designer-hover-button-show .designer-result-box:hover .designer-box-button {
    opacity: 1;
    visibility: visible;
}